/*
  blktest.c
  ---------
  Test driver for the block device simulator.

  $Id: blktest.c,v 1.1 2003/05/16 18:01:52 stewart Exp $

  (C)2003 Stewart Smith
  Distributed under the GNU Public License
 */

#include "block_dev.h"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main(int argc,char* argv[])
{
  struct block_device b;
  struct buffer_head* bh;
  int a;

  block_dev_new(&b,argv[1],atoi(argv[2]),atoi(argv[3]));
  
  bh = bread(&b,0,atoi(argv[2]));
  a = write(STDOUT_FILENO,bh->b_data,bh->b_size);
  fprintf(stderr,"wrote %d\n",a);

  return 0;
}
